<?php
/*
CRIADO POR: K88
DATA ULTIMA ALTERAÇÃO: 17/03/2017 15:41
OBS.: ATUALIZAÇÃO DE ESTRUTURA E REVISÃO
*/

include("../../configuracao.php");//confirma no banco de dados
include("../../inclusos/funcoes.php");
include("../../seguranca.php"); // Inclui o arquivo com o sistema de seguran?a
protegePagina(); // Protege a página	
	
	//recebe os parâmetros
		
	$idprodutocompra = $_REQUEST['idprodutocompra'];
	$idobra = $_REQUEST['idobra'];
	$idfornecedor = $_REQUEST['idfornecedor'];
	$tipo = $_REQUEST['tipo'];
	$nf = $_REQUEST['nf'];
	$valor_compra = $_REQUEST['valor_compra'];
	$vencimento = InverteDataNovoSeparador($_REQUEST['vencimento'], "/", "-");	
	$motivo = $_REQUEST['motivo'];
	$status = $_REQUEST['status'];
    $idfilial = $_REQUEST['idfilial'];
	if($motivo != ""){
		$status = "Cancelado";	
	}
    try
    {

$campos_alterar = "idobra='$idobra', tipo='$tipo', nf='$nf', valor_compra='$valor_compra', vencimento='$vencimento', motivo='$motivo', status='$status', idfornecedor='$idfornecedor', idfilial='$idfilial'";

        //insere na BD
		$AlterarObra = Alterar("compras_produtos", $campos_alterar, "idprodutocompra", $idprodutocompra);
		
        //retorna 1 para no sucesso do ajax saber que foi com inserido sucesso
        echo "1";
    } 
    catch (Exception $ex)
    {
        //retorna 0 para no sucesso do ajax saber que foi um erro
        echo "0";
    }
?>